---
lang: en
title: 'API docs: rest.handlercontext'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.handlercontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HandlerContext](./rest.handlercontext.md)

## HandlerContext interface

An object holding HTTP request, response and other data needed to handle an incoming HTTP request.

<b>Signature:</b>

```typescript
export interface HandlerContext 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [request](./rest.handlercontext.request.md) | <code>Request</code> |  |
|  [response](./rest.handlercontext.response.md) | <code>Response</code> |  |


